%global meadalpha %{nil}
%global meadrel %{nil}
%global version_major 8
%global version_minor 0
%global version_micro 1
%global serial 1
%global commitid 5233a9bb181f89f64deb37c0e197dcb1bb24e46c
%define soversion 4.8.0

%{?scl:%scl_package curl}
%{!?scl:%global pkg_name %{name}}

Summary: A utility for getting files from remote servers (FTP, HTTP, and others)
Name: %{?scl_prefix}curl
Version: 8.0.1
Release: %{serial}%{?dist}
License: MIT
Source: %{pkg_name}-%{commitid}.tar.gz

Provides: webclient
URL: https://curl.haxx.se/

BuildRequires: automake
BuildRequires: coreutils
BuildRequires: gcc
BuildRequires: groff
BuildRequires: patchelf
BuildRequires: %{?scl_prefix}nghttp2-devel
BuildRequires: %{?scl_prefix}openssl-devel
BuildRequires: krb5-devel
BuildRequires: libtool
BuildRequires: make
BuildRequires: openldap-devel
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: sed
BuildRequires: zlib-devel

# needed to compress content of tool_hugehelp.c after changing curl.1 man page
BuildRequires: perl(IO::Compress::Gzip)

# perl modules used in the test suite
BuildRequires: perl(Cwd)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Open2)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(strict)
BuildRequires: perl(Time::Local)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(warnings)
BuildRequires: perl(vars)

# The test-suite runs automatically through valgrind if valgrind is available
# on the system.  By not installing valgrind into mock's chroot, we disable
# this feature for production builds on architectures where valgrind is known
# to be less reliable, in order to avoid unnecessary build failures (see RHBZ
# #810992, #816175, and #886891).  Nevertheless developers are free to install
# valgrind manually to improve test coverage on any architecture.
%ifarch x86_64
BuildRequires: valgrind
%endif

# stunnel is used by upstream tests but it does not seem to work reliably
# on s390x and occasionally breaks some tests (mainly 1561 and 1562)
%ifnarch s390x
BuildRequires: stunnel
%endif

# using an older version of libcurl could result in CURLE_UNKNOWN_OPTION
Requires: %{?scl_prefix}libcurl%{?_isa} >= %{version}-%{release}

# Drop private modules from provides
%global __provides_exclude_from ^%{_libdir}/.*$
%global __requires_exclude ^libnghttp2[.]so.*$
%global __requires_exclude %__requires_exclude|^libcurl[.]so.*$
%global __requires_exclude %__requires_exclude|^libcrypto[.]so.*$
%global __requires_exclude %__requires_exclude|^libssl[.]so.*$


%description
curl is a command line tool for transferring data with URL syntax, supporting
FTP, FTPS, HTTP, HTTPS, SCP, SFTP, TFTP, TELNET, DICT, LDAP, LDAPS, FILE, IMAP,
SMTP, POP3 and RTSP.  curl supports SSL certificates, HTTP POST, HTTP PUT, FTP
uploading, HTTP form based upload, proxies, cookies, user+password
authentication (Basic, Digest, NTLM, Negotiate, kerberos...), file transfer
resume, proxy tunneling and a busload of other useful tricks. 

%package -n  %{?scl_prefix}libcurl
Summary: A library for getting files from web servers
Requires: %{?scl_prefix}openssl-libs
Requires: %{?scl_prefix}nghttp2

%description -n  %{?scl_prefix}libcurl
libcurl is a free and easy-to-use client-side URL transfer library, supporting
FTP, FTPS, HTTP, HTTPS, SCP, SFTP, TFTP, TELNET, DICT, LDAP, LDAPS, FILE, IMAP,
SMTP, POP3 and RTSP. libcurl supports SSL certificates, HTTP POST, HTTP PUT,
FTP uploading, HTTP form based upload, proxies, cookies, user+password
authentication (Basic, Digest, NTLM, Negotiate, Kerberos4), file transfer
resume, http proxy tunneling and more.

%package -n  %{?scl_prefix}libcurl-devel
Summary: Files needed for building applications with libcurl
Requires: %{?scl_prefix}libcurl%{?_isa} = %{version}-%{release}
Provides: %{?scl_prefix}curl-devel = %{version}-%{release}
Obsoletes: %{?scl_prefix}curl-devel < %{version}-%{release}

%description -n  %{?scl_prefix}libcurl-devel
The libcurl-devel package includes header files and libraries necessary for
developing programs which use the libcurl library. It contains the API
documentation of the library, too.

%prep
%setup -q -n %{pkg_name}-%{commitid}

# Disable faulty tests
echo "1450" >> tests/data/DISABLED
echo "1451" >> tests/data/DISABLED
echo "1452" >> tests/data/DISABLED
echo "1592" >> tests/data/DISABLED
echo "1634" >> tests/data/DISABLED

%build
# export CFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="-fPIC -g"
export CPPFLAGS="-I%{_includedir}"
export LDFLAGS="-L%{_libdir} -Wl,-rpath=%{_libdir} -Wl,-z,relro,-z,now"

# regenerate configure script etc.
autoreconf --force --install -I m4

%configure --disable-static \
           --enable-symbol-hiding \
           --enable-ipv6 \
           --enable-manual \
           --enable-threaded-resolver \
           --disable-ldap \
           --disable-ldaps \
           --without-libssh2 \
           --with-ssl=%{?_scl_root}/usr \
           --prefix=%{_prefix} \
           --libdir=%{_libdir} \
           --with-nghttp2=%{?_scl_root}/usr

make %{?_smp_mflags}

%ifarch x86_64
%check
# relax crypto policy for the test-suite to make it pass again (#1610888)
export OPENSSL_SYSTEM_CIPHERS_OVERRIDE=XXX
export OPENSSL_CONF=
# we have to override LD_LIBRARY_PATH because we eliminated rpath
export LD_LIBRARY_PATH="${PWD}/lib/.libs"
make test
%endif

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install

rm -f ${RPM_BUILD_ROOT}%{_libdir}/libcurl.la

install -d $RPM_BUILD_ROOT%{_datadir}/aclocal
install -m 644 docs/libcurl/libcurl.m4 $RPM_BUILD_ROOT%{_datadir}/aclocal

# Set rpath in curl binary
patchelf --set-rpath '$ORIGIN/../lib64' ${RPM_BUILD_ROOT}%{_bindir}/curl
patchelf --set-rpath '$ORIGIN/' $RPM_BUILD_ROOT%{_libdir}/libcurl.so.%{soversion}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README*
%doc docs/BUGS.md docs/FAQ docs/FEATURES.md
%doc docs/TheArtOfHttpScripting.md docs/TODO
%{_bindir}/curl
%{_mandir}/man1/curl.1*

%files -n %{?scl_prefix}libcurl
%defattr(-,root,root,-)
%license COPYING
%{_libdir}/libcurl.so.*

%files -n %{?scl_prefix}libcurl-devel
%defattr(-,root,root,-)
%doc docs/examples/*.c docs/examples/Makefile.example docs/INTERNALS.md
%doc docs/CONTRIBUTE.md docs/libcurl/ABI.md
%{_bindir}/curl-config*
%{_includedir}/curl
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/curl-config.1*
%{_mandir}/man3/*
%{_datadir}/aclocal/libcurl.m4

%changelog
* Fri Apr 21 2023 Mladen Turk <mturk@redhat.com> - 8.0.1-1
- Upgrade to curl-8.0.1

* Sun Nov 06 2022 cpaas-ops <cpaas-ops@redhat.com> - 7.86.0-2
- Built by CPaaS

* Mon Oct 31 2022 Mladen Turk <mturk@redhat.com> - 7.86.0-1
- Upgrade to curl-7.86.0

* Wed Sep 14 2022 cpaas-ops <cpaas-ops@redhat.com> - 7.83.1-6
- Built by CPaaS

* Thu Aug 25 2022 cpaas-ops <cpaas-ops@redhat.com> - 7.83.1-5
- Built by CPaaS

* Wed Aug 24 2022 cpaas-ops <cpaas-ops@redhat.com> - 7.83.1-4
- Built by CPaaS

* Sun Jun 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 7.83.1-3
Built by CPaaS



* Sun Jun 19 2022 cpaas-ops <cpaas-ops@redhat.com> - 7.83.1-2
Built by CPaaS



* Wed May 11 2022 Mladen Turk <mturk@redhat.com> - 7.83.1-1
- Upgrade to curl-7.83.1

* Fri Mar 11 2022 Mladen Turk <mturk@redhat.com> - 7.82.0-1
- Upgrade to curl-7.82.0

* Fri Feb 25 2022 cpaas-ops <cpaas-ops@redhat.com> - 7.81.0-8
Built by CPaaS



* Thu Feb 10 2022 Mladen Turk <mturk@redhat.com> - 7.81.0-7
- Rebuild with updated dependencies

* Wed Feb 09 2022 Mladen Turk <mturk@redhat.com> - 7.81.0-6
- Exlude libnghttp2 from Requires

* Wed Feb 09 2022 Mladen Turk <mturk@redhat.com> - 7.81.0-2
- Rebuild wiith updated dependencies

* Fri Feb 04 2022 Mladen Turk <mturk@redhat.com> - 7.81.0-1
- Upgrade to curl-7.81.0

* Mon Jan 31 2022 Mladen Turk <mturk@redhat.com> - 7.76.1-1
- Use curl from rhel-9.0.0 branch

* Tue Jun 01 2021 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 7.77.0-1
- Building for SP8

* Tue Dec 17 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 7.64.1-21
- JBCS 2.4.37-SP1.ER1

* Tue Dec 10 2019 Mladen Turk <mturk@redhat.com> - 7.64.1-20
- rebuild for JBCS httpd 2.4.37-SP1

* Thu Dec 05 2019 Mladen Turk <mturk@redhat.com> - 7.64.1-18
- rebuild for JBCS httpd 2.4.37-SP1

* Thu Oct 10 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 7.64.1-14
- JBCS httpd 2.4.37-ER5

* Thu Oct 10 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 7.64.1-13
- Dropped ldap support, disabled unit testing

* Wed Sep 25 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 7.64.1-12
- Building JCBS 2.4.37.ER4

* Tue Aug 06 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 7.64.1-9
- JBCS 2.4.37.ER2

* Fri Jul 19 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 7.64.1-6
- JBCS 2.4.37.ER1

* Thu Jun 27 2019 Petros Marios Prokopiou <pprokopi@redhat.com> - 7.64.1-1
- Upgrade to curl 7.64.1 [JBCS-787]

* Fri Jun 14 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 7.61.1-3
- Removed unsupported minimal builds and fixed nghttp2 and ssl support

* Tue Jun 11 2019 Hui Wang <huwang@redhat.com> - 7.61.1-2
- Add scl prefix

* Thu Jun 06 2019 Hui Wang <huwang@redhat.com> - 7.61.1-1
- Adapt from el8

* Mon May 13 2019 Kamil Dudka <kdudka@redhat.com> - 7.61.1-11
- rebuild with updated annobin to prevent Execshield RPMDiff check from failing

* Fri May 10 2019 Kamil Dudka <kdudka@redhat.com> - 7.61.1-10
- fix SMTP end-of-response out-of-bounds read (CVE-2019-3823)
- fix NTLMv2 type-3 header stack buffer overflow (CVE-2019-3822)
- fix NTLM type-2 out-of-bounds buffer read (CVE-2018-16890)
- xattr: strip credentials from any URL that is stored (CVE-2018-20483)

* Mon Feb 18 2019 Kamil Dudka <kdudka@redhat.com> - 7.61.1-9
- do not let libssh create a new socket for SCP/SFTP (#1669156)

* Fri Jan 11 2019 Kamil Dudka <kdudka@redhat.com> - 7.61.1-8
- curl -J: do not append to the destination file (#1660827)

* Thu Nov 15 2018 Kamil Dudka <kdudka@redhat.com> - 7.61.1-7
- make the patch for CVE-2018-16842 apply properly (CVE-2018-16842)

* Mon Nov 05 2018 Kamil Dudka <kdudka@redhat.com> - 7.61.1-6
- SASL password overflow via integer overflow (CVE-2018-16839)
- fix use-after-free in handle close (CVE-2018-16840)
- fix bad arethmetic when outputting warnings to stderr (CVE-2018-16842)

* Thu Oct 11 2018 Kamil Dudka <kdudka@redhat.com> - 7.61.1-5
- enable TLS 1.3 post-handshake auth in OpenSSL (#1636900)

* Mon Oct 08 2018 Kamil Dudka <kdudka@redhat.com> - 7.61.1-4
- make the built-in manual compressed again (#1620217)

* Mon Oct 08 2018 Kamil Dudka <kdudka@redhat.com> - 7.61.1-3
- update the documentation of --tlsv1.0 in curl(1) man page (#1620217)

* Thu Oct 04 2018 Kamil Dudka <kdudka@redhat.com> - 7.61.1-2
- enforce versioned libpsl dependency for libcurl (#1631804)

* Thu Oct 04 2018 Kamil Dudka <kdudka@redhat.com> - 7.61.1-1
- test320: update expected output for gnutls-3.6.4
- new upstream release (#1625677)

* Thu Aug 09 2018 Kamil Dudka <kdudka@redhat.com> - 7.61.0-5
- ssl: set engine implicitly when a PKCS#11 URI is provided (#1219544)

* Tue Aug 07 2018 Kamil Dudka <kdudka@redhat.com> - 7.61.0-4
- relax crypto policy for the test-suite to make it pass again (#1611712)

* Tue Jul 31 2018 Kamil Dudka <kdudka@redhat.com> - 7.61.0-3
- disable flaky test 1900, which covers deprecated HTTP pipelining
- adapt test 323 for updated OpenSSL

* Tue Jul 17 2018 Kamil Dudka <kdudka@redhat.com> - 7.61.0-2
- rebuild against against brotli-1.0.5

* Wed Jul 11 2018 Kamil Dudka <kdudka@redhat.com> - 7.61.0-1
- new upstream release, which fixes the following vulnerability
    CVE-2018-0500 - SMTP send heap buffer overflow

* Tue Jul 10 2018 Kamil Dudka <kdudka@redhat.com> - 7.60.0-3
- enable support for brotli compression in libcurl-full

* Wed Jul 04 2018 Kamil Dudka <kdudka@redhat.com> - 7.60.0-2
- do not hard-wire path of the Python 3 interpreter

* Wed May 16 2018 Kamil Dudka <kdudka@redhat.com> - 7.60.0-1
- new upstream release, which fixes the following vulnerabilities
    CVE-2018-1000300 - FTP shutdown response buffer overflow
    CVE-2018-1000301 - RTSP bad headers buffer over-read

* Thu Mar 15 2018 Kamil Dudka <kdudka@redhat.com> - 7.59.0-3
- make the test-suite use Python 3

* Wed Mar 14 2018 Kamil Dudka <kdudka@redhat.com> - 7.59.0-2
- ftp: fix typo in recursive callback detection for seeking

* Wed Mar 14 2018 Kamil Dudka <kdudka@redhat.com> - 7.59.0-1
- new upstream release, which fixes the following vulnerabilities
    CVE-2018-1000120 - FTP path trickery leads to NIL byte out of bounds write
    CVE-2018-1000121 - LDAP NULL pointer dereference
    CVE-2018-1000122 - RTSP RTP buffer over-read

* Mon Mar 12 2018 Kamil Dudka <kdudka@redhat.com> - 7.58.0-8
- http2: mark the connection for close on GOAWAY

* Mon Feb 19 2018 Paul Howarth <paul@city-fan.org> - 7.58.0-7
- Add explicity-used build requirements
- Fix libcurl soname version number in %%files list to avoid accidental soname
  bumps

* Thu Feb 15 2018 Paul Howarth <paul@city-fan.org> - 7.58.0-6
- switch to %%ldconfig_scriptlets
- drop legacy BuildRoot: and Group: tags
- enforce versioned libssh dependency for libcurl

* Tue Feb 13 2018 Kamil Dudka <kdudka@redhat.com> - 7.58.0-5
- drop temporary workaround for #1540549

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.58.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 31 2018 Kamil Dudka <kdudka@redhat.com> - 7.58.0-3
- temporarily work around internal compiler error on x86_64 (#1540549)
- disable brp-ldconfig to make RemovePathPostfixes work with shared libs again

* Wed Jan 24 2018 Andreas Schneider <asn@redhat.com> - 7.58.0-2
- use libssh (instead of libssh2) to implement SCP/SFTP in libcurl (#1531483)

* Wed Jan 24 2018 Kamil Dudka <kdudka@redhat.com> - 7.58.0-1
- new upstream release, which fixes the following vulnerabilities
    CVE-2018-1000005 - curl: HTTP/2 trailer out-of-bounds read
    CVE-2018-1000007 - curl: HTTP authentication leak in redirects

* Wed Nov 29 2017 Kamil Dudka <kdudka@redhat.com> - 7.57.0-1
- new upstream release, which fixes the following vulnerabilities
    CVE-2017-8816 - curl: NTLM buffer overflow via integer overflow
    CVE-2017-8817 - curl: FTP wildcard out of bounds read
    CVE-2017-8818 - curl: SSL out of buffer access

* Mon Oct 23 2017 Kamil Dudka <kdudka@redhat.com> - 7.56.1-1
- new upstream release (fixes CVE-2017-1000257)

* Wed Oct 04 2017 Kamil Dudka <kdudka@redhat.com> - 7.56.0-1
- new upstream release (fixes CVE-2017-1000254)

* Mon Aug 28 2017 Kamil Dudka <kdudka@redhat.com> - 7.55.1-5
- apply the patch for the previous commit and fix its name (#1485702)

* Mon Aug 28 2017 Bastien Nocera <bnocera@redhat.com> - 7.55.1-4
- Fix NetworkManager connectivity check not working (#1485702)

* Tue Aug 22 2017 Kamil Dudka <kdudka@redhat.com> 7.55.1-3
- utilize system wide crypto policies for TLS (#1483972)

* Tue Aug 15 2017 Kamil Dudka <kdudka@redhat.com> 7.55.1-2
- make zsh completion work again

* Mon Aug 14 2017 Kamil Dudka <kdudka@redhat.com> 7.55.1-1
- new upstream release

* Wed Aug 09 2017 Kamil Dudka <kdudka@redhat.com> 7.55.0-1
- drop multilib fix for libcurl header files no longer needed
- new upstream release, which fixes the following vulnerabilities
    CVE-2017-1000099 - FILE buffer read out of bounds
    CVE-2017-1000100 - TFTP sends more than buffer size
    CVE-2017-1000101 - URL globbing out of bounds read

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.54.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Fri Jul 28 2017 Florian Weimer <fweimer@redhat.com> - 7.54.1-7
- Rebuild with fixed binutils (#1475636)

* Fri Jul 28 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.54.1-6
- Enable separate debuginfo back

* Thu Jul 27 2017 Kamil Dudka <kdudka@redhat.com> 7.54.1-5
- rebuild to fix broken linkage of cmake on ppc64le

* Wed Jul 26 2017 Kamil Dudka <kdudka@redhat.com> 7.54.1-4
- avoid build failure caused broken RPM code that produces debuginfo packages

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.54.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 19 2017 Kamil Dudka <kdudka@redhat.com> 7.54.1-2
- enforce versioned openssl-libs dependency for libcurl (#1462184)

* Wed Jun 14 2017 Kamil Dudka <kdudka@redhat.com> 7.54.1-1
- new upstream release

* Tue May 16 2017 Kamil Dudka <kdudka@redhat.com> 7.54.0-5
- add *-full provides for curl and libcurl to make them explicitly installable

* Thu May 04 2017 Kamil Dudka <kdudka@redhat.com> 7.54.0-4
- make curl-minimal require a new enough version of libcurl

* Thu Apr 27 2017 Kamil Dudka <kdudka@redhat.com> 7.54.0-3
- switch the TLS backend back to OpenSSL (#1445153)

* Tue Apr 25 2017 Kamil Dudka <kdudka@redhat.com> 7.54.0-2
- nss: use libnssckbi.so as the default source of trust
- nss: do not leak PKCS #11 slot while loading a key (#1444860)

* Thu Apr 20 2017 Kamil Dudka <kdudka@redhat.com> 7.54.0-1
- new upstream release (fixes CVE-2017-7468)

* Thu Apr 13 2017 Paul Howarth <paul@city-fan.org> 7.53.1-7
- add %%post and %%postun scriptlets for libcurl-minimal
- libcurl-minimal provides both libcurl and libcurl%%{?_isa}
- remove some legacy spec file cruft

* Wed Apr 12 2017 Kamil Dudka <kdudka@redhat.com> 7.53.1-6
- provide (lib)curl-minimal subpackages with lightweight build of (lib)curl

* Mon Apr 10 2017 Kamil Dudka <kdudka@redhat.com> 7.53.1-5
- disable upstream test 2033 (flaky test for HTTP/1 pipelining)

* Fri Apr 07 2017 Kamil Dudka <kdudka@redhat.com> 7.53.1-4
- fix out of bounds read in curl --write-out (CVE-2017-7407)

* Mon Mar 06 2017 Kamil Dudka <kdudka@redhat.com> 7.53.1-3
- make the dependency on nss-pem arch-specific (#1428550)

* Thu Mar 02 2017 Kamil Dudka <kdudka@redhat.com> 7.53.1-2
- re-enable valgrind on ix86 because sqlite is fixed (#1428286)

* Fri Feb 24 2017 Kamil Dudka <kdudka@redhat.com> 7.53.1-1
- new upstream release

* Wed Feb 22 2017 Kamil Dudka <kdudka@redhat.com> 7.53.0-1
- do not use valgrind on ix86 until sqlite is rebuilt by patched GCC (#1423434)
- new upstream release (fixes CVE-2017-2629)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.52.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 23 2016 Kamil Dudka <kdudka@redhat.com> 7.52.1-1
- new upstream release (fixes CVE-2016-9586)

* Mon Nov 21 2016 Kamil Dudka <kdudka@redhat.com> 7.51.0-3
- map CURL_SSLVERSION_DEFAULT to NSS default, add support for TLS 1.3 (#1396719)

* Tue Nov 15 2016 Kamil Dudka <kdudka@redhat.com> 7.51.0-2
- stricter host name checking for file:// URLs
- ssh: check md5 fingerprints case insensitively

* Wed Nov 02 2016 Kamil Dudka <kdudka@redhat.com> 7.51.0-1
- temporarily disable failing libidn2 test-cases
- new upstream release, which fixes the following vulnerabilities
    CVE-2016-8615 - Cookie injection for other servers
    CVE-2016-8616 - Case insensitive password comparison
    CVE-2016-8617 - Out-of-bounds write via unchecked multiplication
    CVE-2016-8618 - Double-free in curl_maprintf
    CVE-2016-8619 - Double-free in krb5 code
    CVE-2016-8620 - Glob parser write/read out of bounds
    CVE-2016-8621 - curl_getdate out-of-bounds read
    CVE-2016-8622 - URL unescape heap overflow via integer truncation
    CVE-2016-8623 - Use-after-free via shared cookies
    CVE-2016-8624 - Invalid URL parsing with '#'
    CVE-2016-8625 - IDNA 2003 makes curl use wrong host

* Thu Oct 20 2016 Kamil Dudka <kdudka@redhat.com> 7.50.3-3
- drop 0103-curl-7.50.0-stunnel.patch no longer needed

* Fri Oct 07 2016 Kamil Dudka <kdudka@redhat.com> 7.50.3-2
- use the just built version of libcurl while generating zsh completion

* Wed Sep 14 2016 Kamil Dudka <kdudka@redhat.com> 7.50.3-1
- new upstream release (fixes CVE-2016-7167)

* Wed Sep 07 2016 Kamil Dudka <kdudka@redhat.com> 7.50.2-1
- new upstream release

* Fri Aug 26 2016 Kamil Dudka <kdudka@redhat.com> 7.50.1-2
- work around race condition in PK11_FindSlotByName()
- fix incorrect use of a previously loaded certificate from file
  (related to CVE-2016-5420)

* Wed Aug 03 2016 Kamil Dudka <kdudka@redhat.com> 7.50.1-1
- new upstream release (fixes CVE-2016-5419, CVE-2016-5420, and CVE-2016-5421)

* Tue Jul 26 2016 Kamil Dudka <kdudka@redhat.com> 7.50.0-2
- run HTTP/2 tests on all architectures (#1360319 now worked around in nghttp2)

* Thu Jul 21 2016 Kamil Dudka <kdudka@redhat.com> 7.50.0-1
- run HTTP/2 tests only on Intel for now to work around #1358845
- require nss-pem because it is no longer included in the nss package (#1347336)
- fix HTTPS and FTPS tests (work around stunnel bug #1358810)
- new upstream release

* Fri Jun 17 2016 Kamil Dudka <kdudka@redhat.com> 7.49.1-3
- use multilib-rpm-config to install arch-dependent header files

* Fri Jun 03 2016 Kamil Dudka <kdudka@redhat.com> 7.49.1-2
- fix SIGSEGV of the curl tool while parsing URL with too many globs (#1340757)

* Mon May 30 2016 Kamil Dudka <kdudka@redhat.com> 7.49.1-1
- new upstream release

* Wed May 18 2016 Kamil Dudka <kdudka@redhat.com> 7.49.0-1
- new upstream release

* Wed Mar 23 2016 Kamil Dudka <kdudka@redhat.com> 7.48.0-1
- new upstream release

* Wed Mar 02 2016 Kamil Dudka <kdudka@redhat.com> 7.47.1-4
- do not refuse cookies for localhost (#1308791)

* Wed Feb 17 2016 Kamil Dudka <kdudka@redhat.com> 7.47.1-3
- make SCP and SFTP test-cases work with up2date OpenSSH

* Wed Feb 10 2016 Kamil Dudka <kdudka@redhat.com> 7.47.1-2
- enable support for Public Suffix List (#1305701)

* Mon Feb 08 2016 Kamil Dudka <kdudka@redhat.com> 7.47.1-1
- new upstream release

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 7.47.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 27 2016 Kamil Dudka <kdudka@redhat.com> 7.47.0-1
- new upstream release (fixes CVE-2016-0755)

* Fri Dec  4 2015 Kamil Dudka <kdudka@redhat.com> 7.46.0-2
- own /usr/share/zsh/site-functions instead of requiring zsh (#1288529)

* Wed Dec  2 2015 Kamil Dudka <kdudka@redhat.com> 7.46.0-1
- disable silent builds (suggested by Paul Howarth)
- use default port numbers when running the upstream test-suite
- install zsh completion script
- new upstream release

* Wed Oct  7 2015 Paul Howarth <paul@city-fan.org> 7.45.0-1
- new upstream release
- drop %%defattr, redundant since rpm 4.4

* Fri Sep 18 2015 Kamil Dudka <kdudka@redhat.com> 7.44.0-2
- prevent NSS from incorrectly re-using a session (#1104597)


